<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ProxyEndpoint name="czl74b-lending-api-105082-default">
    <Description>Managed by Terraform</Description>
    <FaultRules/>
    <DefaultFaultRule name="all">
        <AlwaysEnforce>true</AlwaysEnforce>
        <Step>
            <Name>fcErrorHandling</Name>
        </Step>
    </DefaultFaultRule>
    <PreFlow name="PreFlow">
        <Request>
            <!-- <Step>
                <Name>fcAuthenticationVerifyTokens</Name>
            </Step> -->
            <Step>
                <Name>fcProtectScope</Name>
            </Step>
            <Step>
                <Name>setLAPIKVM</Name>
            </Step>
        </Request>
        <Response/>
    </PreFlow>
    <PostFlow name="PostFlow">
        <Request/>
        <Response>
            <Step>
                <Name>fcWhiteListData</Name>
            </Step>
        </Response>
    </PostFlow>
    <!--This is created by editing the XML - you can't add a "PostClientFlow" from the Add New Flow button-->
    <PostClientFlow>
        <Request/>
        <Response>
            <Step>
                <Name>fcLoggingPostClient</Name>
            </Step>
        </Response>
    </PostClientFlow>
    <Flows>
        <Flow name="Test">
            <Description>Test</Description>
            <Request/>
            <Response/>
            <Condition>(proxy.pathsuffix MatchesPath "/test") and (request.verb = "GET")</Condition>
        </Flow>
        <Flow name="CatchAll">
            <Description/>
            <Request>
                <Step>
                    <Name>rfEmpty404</Name>
                </Step>
            </Request>
            <Response/>
            <Condition>(proxy.pathsuffix MatchesPath "/**")</Condition>
        </Flow>
    </Flows>
    <HTTPProxyConnection>
        <BasePath>/cloud-lab-czl74b-lending-api-105082-default</BasePath>
        <Properties/>
        <VirtualHost>secure</VirtualHost>
    </HTTPProxyConnection>
    <RouteRule name="default">
        <TargetEndpoint>czl74b-lending-api-105082-default</TargetEndpoint>
    </RouteRule>
</ProxyEndpoint>